﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StackedBar_CodeBehind
{
    public class DataObject
    {
        private static Random rand = new Random(Environment.TickCount);

        private int _XValue;
        private double _Value1;
        private double _Value2;

        public int XValue
        {
            get
            {
                return _XValue;
            }
            set
            {
                _XValue = value;
            }
        }

        public double Value1
        {
            get
            {
                return _Value1;
            }
            set
            {
                _Value1 = value;
            }
        }

        public double Value2
        {
            get
            {
                return _Value2;
            }
            set
            {
                _Value2 = value;
            }
        }

        public DataObject(int _XValue, double _Value1, double _Value2)
        {
            this.XValue = _XValue;
            this.Value1 = _Value1;
            this.Value2 = _Value2;
        }

        public static List<DataObject> GetData()
        {
            List<DataObject> list = new List<DataObject>();

            for (int i = 0; i < 5; i++)
            {
                int _XValue = i;
                double _Value1 = rand.Next(10, 100);
                double _Value2 = rand.Next(10, 100);
                list.Add(new DataObject(_XValue, _Value1, _Value2));
            }

            return list;
        }
    }
}
